#include <stdio.h>

int x[7];
int y[7];

void display_array(int a[]){
  int i;
  for (i = 0; i < 7; i++)
    putchar(a[i]);
  printf("\n");
  return;
}

void memcpy32(
  int dest[], int dest_offset,
  int src[], int src_offset,
  int n_words) {
  int i;
  for (i = 0; i < n_words; i++)
    dest[i + dest_offset] = src[i + src_offset];
  return;
}

int main() {
  x[0] = 'a';
  x[1] = 'r';
  x[2] = 'r';
  x[3] = 'a';
  x[4] = 'y';
  x[5] = ' ';
  x[6] = 'x';

  y[0] = '.';
  y[1] = '.';
  y[2] = '.';
  y[3] = '.';
  y[4] = '.';
  y[5] = '.';
  y[6] = '.';

  memcpy32(y, 2, x, 2, 5);

  display_array(x);
  display_array(y);

  return 0;
}
